﻿$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName
$url32       = 'https://github.com/ccache/ccache/releases/download/v4.4.1/ccache-4.4.1-windows-32.zip'
$url64       = 'https://github.com/ccache/ccache/releases/download/v4.4.1/ccache-4.4.1-windows-64.zip'
$checksum32  = '0d6fb80dd0711e62843994f84226eb92c2d5afbe41e87b362a2ff366343bf9ef'
$checksum64  = '7445f85dfb64af57af44315e75964d39fbb34b712ece81e99b84dc3290622390'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'ZIP'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = Split-Path $MyInvocation.MyCommand.Definition
  validExitCodes = @(0)
}
Install-ChocolateyZipPackage @packageArgs
